Need advice on what to get

Discussion in '3DS - Flashcards & Custom Firmwares' started by eidrian, Jul 18, 2016.

  1. eidrian
    OP

    eidrian Advanced Member

    Newcomer
    60
    0
    Feb 8, 2009
    United States
    Hello all, this is a noob question i know, but I just don't get all the tech talk and whatever. I basically want to do 1 thing, use my 3ds to play ds/gba/snes games from a flashcart. My fw is 11.0.0.33U and I'm thinking I need to get a DStwo+ card or something else to do this, of course I don't know if it can be done in the fw I am.

    I don't really care about running 3ds games, just want to be able to play the other ones mentioned. Can you please advise which flashcard is best for that?

    Thanks
     
  2. aos10

    aos10 how i fotochop?

    Member
    3,204
    797
    Apr 10, 2012
    Saudi Arabia
    If you are a noob then there a noob thread
    But I'll answer your questions
    If you are on 11.0 then you can't downgrade unless you do a hard mod.
    The DS2 or the plus can play GBA and snes but not at full speed,if that is okay with you,then go ahead.
     
    Last edited by aos10, Jul 18, 2016
    cvskid likes this.
  3. cvskid

    cvskid GBAtemp Addict

    Member
    2,247
    826
    Apr 13, 2014
    United States
    Depending on the game he might have to tweak some setting but other then that the emulation works good.
     
  4. eidrian
    OP

    eidrian Advanced Member

    Newcomer
    60
    0
    Feb 8, 2009
    United States
    IS there any difference between the DS2 and the plus version?
     
  5. bakibandi

    bakibandi Member

    Newcomer
    41
    19
    Oct 19, 2011
    Hungary
    You can not buy a DSTWO card from resellers anymore, it is obsolete. You can only buy DSTWO+.
    Not much difference, DSTWO+ is more powerful for built in emulation (SNES, GBA), but i am not sure you will notice big difference.
    If you have New 3DS, that is better of course.

    DSTWO+ can work with latest firmware (11.0) on DS mode, you will be able to play NDS/SNES/GBA games + some other plugins (arcade, NES, GBC, C64, Sega Megadrive ect, just like on old days with DS Lite...).

    You can not play 3DS games on latest firmware, you need to be on 9.0-9.2 SYSNAND to be able to use the flashcard 3DS plugin or the new freegame CFW. To be honest, i wanted to set up a CFW and I could not set it up (if works correctly, you should hit select button and there will be your .3ds games, but for me it did not work).

    Personally, I like the DSTWO(+) flashcard, it plays all the NDS games very well, I can set up customized hot keys for quick save and load, really cool feature. But you can get cheaper flashcards for NDS games as well. Your choice. If you need SNES/GBA, than I definitely recommend Supercard DSTWO(+)!
     
  6. aos10

    aos10 how i fotochop?

    Member
    3,204
    797
    Apr 10, 2012
    Saudi Arabia
    In DS mode The snes and gba emulation performs exactly the same.
    it's just a normal dstwo with ability to emulate GW card.